package aalg.mailer;

public class MessageDataFactory extends PersistableFactory<IMessageData> {

	private static final int PLAIN_TEXT_MESSAGE_ID = 0;
	
	private static final MessageDataFactory INSTANCE = new MessageDataFactory();

	private MessageDataFactory() {
		registerClass(PLAIN_TEXT_MESSAGE_ID, PlainTextMessageData.class);
	}
	
	public static MessageDataFactory getInstance() {
		return INSTANCE;
	}
}
